divine_intelligence = {}

-- requires => all modules that are required by this module. contains => all submodules this module contains.
-- This difference is made, to prevent the import of submodules without its parent
divine_intelligence.requires = {"util"} -- attack mission as dynamic dependency
divine_intelligence.contains = {"divine_intelligence.waypoint", "divine_intelligence.DATA"}

divine_intelligence.active = {}

function divine_intelligence.init()
    -- handelers and F10 commands for the waypoint submodule
    util.missionCommands.add("/Divine Intelligence", "REQUEST waypoints", divine_intelligence.waypoint.display)

    util.mEvent.registerMEH("AZ", divine_intelligence.waypoint.MEventHandler)
    util.mEvent.registerMEH("CONVOY", divine_intelligence.waypoint.MEventHandler)
end

function divine_intelligence.cleanup()
    util.missionCommands.remove("/Divine Intelligence", "request Waypoints")
end